Opened 9 years ago

Closed 9 years ago

#11409 closed defect (fixed)

Chrome 5.0.375.99 & Safari5.0(7533.16) Win7x64: tests.date.locale test failure

Reported by: Chris Mitchell Owned by: Adam Peller
Priority: high Milestone: 1.5
Component: Core Version: 1.5.0b2
Keywords: Cc:
Blocked By: Blocking:

Description

Fails on on this Chrome5/Safari5 Windows platform (tested on Win7 x64)

Not reproduceable on Safari4 & Chrome 5.0.375.99/Mac x64

_AssertFailure: doh._AssertFailure: assertEqual() failed:

expected

上午12时55分12秒

but got

astern Daylight Time上午12时55分12秒

: assertEqual() failed:

expected

上午12时55分12秒

but got

astern Daylight Time上午12时55分12秒

doh._AssertFailure: assertEqual() failed:

expected

上午12时55分12秒

but got

astern Daylight Time上午12时55分12秒

ERROR IN:

function (t){

var date = new Date(2006, 7, 11, 0, 55, 12, 345);

t.is("Friday, August 11, 2006", dojo.date.locale.format(date, {formatLength:'full',selector:'date', locale:'en-us'})); t.is("vendredi 11 ao\xFBt 2006", dojo.date.locale.format(date, {formatLength:'full',selector:'date', locale:'fr-fr'})); t.is("Freitag, 11. August 2006", dojo.date.locale.format(date, {formatLength:'full',selector:'date', locale:'de-at'})); t.is("2006\u5E748\u670811\u65E5\u91D1\u66DC\u65E5", dojo.date.locale.format(date, {formatLength:'full',selector:'date', locale:'ja-jp'}));

t.is("8/11/06", dojo.date.locale.format(date, {formatLength:'short',selector:'date', locale:'en-us'})); t.is("11/08/06", dojo.date.locale.format(date, {formatLength:'short',selector:'date', locale:'fr-fr'})); t.is("11.08.06", dojo.date.locale.format(date, {formatLength:'short',selector:'date', locale:'de-at'})); t.is("06/08/11", dojo.date.locale.format(date, {formatLength:'short',selector:'date', locale:'ja-jp'}));

t.is("6", dojo.date.locale.format(date, {datePattern:'E', selector:'date'}));

t.is("12:55 AM", dojo.date.locale.format(date, {formatLength:'short',selector:'time', locale:'en-us'})); t.is("12:55:12", dojo.date.locale.format(date, {timePattern:'h:m:s',selector:'time'})); t.is("12:55:12.35", dojo.date.locale.format(date, {timePattern:'h:m:s.SS',selector:'time'})); t.is("24:55:12.35", dojo.date.locale.format(date, {timePattern:'k:m:s.SS',selector:'time'})); t.is("0:55:12.35", dojo.date.locale.format(date, {timePattern:'H:m:s.SS',selector:'time'})); t.is("0:55:12.35", dojo.date.locale.format(date, {timePattern:'K:m:s.SS',selector:'time'}));

t.is("11082006", dojo.date.locale.format(date, {datePattern:"ddMMyyyy", selector:"date"}));

t.is("12 o'clock AM", dojo.date.locale.format(date, {datePattern:"hh 'o''clock' a", selector:"date", locale: 'en'}));

compare without timezone t.is("\u4e0a\u534812\u65f655\u520612\u79d2", dojo.date.locale.format(date, {formatLength:'full',selector:'time', locale:'zh-cn'}).replace(/(\+\d*(:\d*)?)|[A-Z]*/,""));

}

FAILED test: format -131579 ms

Change History (2)

comment:1 Changed 9 years ago by Adam Peller

Milestone: tbd1.5
Owner: changed from anonymous to Adam Peller

Ugh. This is a troublesome test case. It's not a failure of the code, just the test.

comment:2 Changed 9 years ago by Adam Peller

Resolution: fixed
Status: newclosed

(In [22414]) Another attempt to ignore timezone prefixes. Refs #11198 Fixes #11409

Note: See TracTickets for help on using tickets.